export const recursiveCompare = (item: any, targetId: any) => {
    if (typeof item === "object" && item !== null) {
        if (item.value !== undefined && item.value === targetId) {
            return true;
        }
        for (const key in item) {
            if (recursiveCompare(item[key], targetId)) {
                return true;
            }
        }
    }
    return false;
};
